SelectInvoice
POST
/v2/TableApp/SelectInvoiceSelectInvoice displays a list of invoices on the terminal screen and allows the customer to select one. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Body Parameters
Title
stringInvoiceList
Id*
stringName
stringAmount*
numberType*
enumTpn
stringRegisterId
stringAuthkey
stringSPInProxyTimeout
numberCustomFields
CustomFields
objectPOST/v2/TableApp/SelectInvoice
1curl --location 'https://test.spinpos.net/v2/TableApp/SelectInvoice' \
2--header 'Content-Type: application/json' \
3--data '{
4 "CustomFields": {},
5 "Title": "",
6 "InvoiceList": [
7 {
8 "Id": "",
9 "Name": "",
10 "Amount": "",
11 "Type": "Open"
12 }
13 ],
14 "Tpn": "",
15 "RegisterId": "",
16 "Authkey": "",
17 "SPInProxyTimeout": ""
18}'
Response
// Awaiting response…
Sample response
{
"SelectedInvoiceId": "",
"GeneralResponse": {
"HostResponseCode": "00",
"HostResponseMessage": "Approved",
"ResultCode": "Ok",
"StatusCode": "0000",
"Message": "Approved",
"DetailedMessage": "APPROVAL VTLMC1",
"DelayBeforeNextRequest": null
}
}